<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

<?php if ( have_comments() ) : ?>
<div class="comment wow fadeIn" data-wow-duration="1s" data-wow-delay=".1s">
    <h2 class="title"><?php comments_number( esc_html__(' 0 Comments', 'egens'), esc_html__(' 1 Comment', 'egens'), esc_html__('% Comments', 'egens') ); ?></h2>
    <ul class="comment-list">
        <?php wp_list_comments('callback=egens_theme_comment'); ?>
    </ul>
</div>
<div class="col-md-12"> 
<!-- START PAGINATION -->
<?php
if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
?>
<div class="pagination_area">
     <nav>
          <ul class="pagination">
               <li> <?php paginate_comments_links( 
                    array(
                    'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'egens' ),ENT_QUOTES),
                    'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'egens' ),ENT_QUOTES),
                    ));  ?>
                </li>
          </ul>
     </nav>
</div>                                       
<?php endif; ?>
<!-- END PAGINATION --> 
</div>
<?php endif; ?>     
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
$aria_req = ( $req ? " aria-required='true'" : '' );
$comment_args = array(
        'id_form' => '',        
        'class_form' => 'comment-form-inner',                         
        'title_reply'=> wp_specialchars_decode(esc_html__( 'Leave A Comment', 'egens' ),ENT_QUOTES),
        'fields' => apply_filters( 'comment_form_default_fields', array(

            'author' => '<div class="row"><div class="col-md-6 col-12 mb-3">
                            <input type="text" placeholder="'.esc_attr__('Your name', 'egens').'" name="author" required="'.esc_attr__('required', 'egens').'" data-error="'.esc_attr__('Name is required.', 'egens').'">
                        </div>
                         ',
            'email' => '<div class="col-md-6 col-12 mb-3">
                            <input type="email" placeholder="'.esc_attr__('Your Email', 'egens').'" required="'.esc_attr__('required', 'egens').'" data-error="'.esc_attr__('Valid email is required.', 'egens').'" name="email">
                        </div>
                        ',
            'phone' => '<div class="col-md-6 col-12 mb-3">
                            <input type="text" placeholder="'.esc_attr__('Your phone', 'egens').'" required="'.esc_attr__('required', 'egens').'" data-error="'.esc_attr__('Valid email is required.', 'egens').'" name="phone">
                        </div>
                        ',
            'Website' => '<div class="col-md-6 col-12 mb-3">
                              <input type="text" placeholder="'.esc_attr__('Your Website', 'egens').'" name="website" required="'.esc_attr__('required', 'egens').'" data-error="'.esc_attr__('Valid email is required.', 'egens').'">
                          </div></div>
                          ',
        ) ),   
          'comment_field' => '<div class="col-12 mb-3">
                                  <textarea name="comment" placeholder="'.esc_attr__('Write A Comment', 'egens').'" required="'.esc_attr__('required', 'egens').'" data-error="'.esc_attr__('Please,leave us a message.', 'egens').'"></textarea>
                              </div>
                              ', 
                
          'label_submit' => esc_html__( 'Post A Comment', 'egens' ),
          'submit_button' =>  '<button class="btn btn-style-one"> <span>%4$s</span> </button>',
          'submit_field' => '<div class="col-12 text-left">
                                %1$s %2$s
                                        </div>',
          'comment_notes_before' => '',
          'comment_notes_after' => '',               
)
?>
<div class="comment-form wow fadeIn" data-wow-duration="1s" data-wow-delay=".1s">
    <?php if ( comments_open() ) : ?>
        <?php comment_form($comment_args); ?>
    <?php endif; ?> 
</div>