<?php
$egens_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';
//Theme Set up:
function egens_theme_setup() {
    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
  	add_theme_support( 'custom-header' ); 
  	add_theme_support( 'custom-background' );
  	$lang = get_template_directory_uri() . '/languages';
    load_theme_textdomain('egens', $lang);
    remove_filter('the_content', 'wpautop');
    add_theme_support( 'post-thumbnails' );
    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( 'title-tag' );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location.
  	register_nav_menus( array(
      'primary' =>  esc_html__( 'Primary Menu: Chosen menu in Blog', 'egens' ),
      'services' =>  esc_html__( 'Menu Services: Chosen menu in Services', 'egens' ),
  	) );
      // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'egens_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;

function egens_theme_scripts_styles() {
  	$egens_redux_demo = get_option('redux_demo');
  	$protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/assets/css/vendor/bootstrap.min.css');
    wp_enqueue_style( 'font-awesome1', get_template_directory_uri().'/assets/css/plugins/font-awesome.min.css');
    wp_enqueue_style( 'swiper-bundle', get_template_directory_uri().'/assets/css/plugins/swiper-bundle.min.css');
    wp_enqueue_style( 'animate', get_template_directory_uri().'/assets/css/plugins/animate.min.css');
    wp_enqueue_style( 'odometer-theme-default', get_template_directory_uri().'/assets/css/plugins/odometer-theme-default.min.css');
    wp_enqueue_style( 'fancybox', get_template_directory_uri().'/assets/css/plugins/fancybox.min.css');
    wp_enqueue_style( 'magnific-pupup', get_template_directory_uri().'/assets/css/plugins/magnific-pupup.css');
    wp_enqueue_style( 'egens-style', get_template_directory_uri().'/assets/css/style.css');
    wp_enqueue_style( 'egens-css', get_stylesheet_uri(), array(), '2023-03-13' );
    if(isset($egens_redux_demo['chosen-color']) && $egens_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    }
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
    //Javascript
    wp_enqueue_script( 'jquery' );
    wp_enqueue_script('modernizr-3.11.7', get_template_directory_uri().'/assets/js/vendor/modernizr-3.11.7.min.js',array(),false,true);
    wp_enqueue_script('jquery-3.6.0', get_template_directory_uri().'/assets/js/vendor/jquery-3.6.0.min.js',array(),false,true);
    wp_enqueue_script('jquery-migrate-3.3.2', get_template_directory_uri().'/assets/js/vendor/jquery-migrate-3.3.2.min.js',array(),false,true);
    wp_enqueue_script('bootstrap', get_template_directory_uri().'/assets/js/vendor/bootstrap.min.js',array(),false,true);

    wp_enqueue_script('magnificpopup', get_template_directory_uri().'/assets/js/plugins/magnificpopup.min.js',array(),false,true);
    wp_enqueue_script('swiper-bundle', get_template_directory_uri().'/assets/js/plugins/swiper-bundle.min.js',array(),false,true);
    wp_enqueue_script('tilt-jquery', get_template_directory_uri().'/assets/js/plugins/tilt.jquery.min.js',array(),false,true);
    wp_enqueue_script('odometer', get_template_directory_uri().'/assets/js/plugins/odometer.min.js',array(),false,true);
    wp_enqueue_script('isotope', get_template_directory_uri().'/assets/js/plugins/isotope.min.js',array(),false,true);
    wp_enqueue_script('imagesloaded', get_template_directory_uri().'/assets/js/plugins/imagesloaded.min.js',array(),false,true);
    wp_enqueue_script('waypoint', get_template_directory_uri().'/assets/js/plugins/waypoint.min.js',array(),false,true);
    wp_enqueue_script('easypiechart', get_template_directory_uri().'/assets/js/plugins/easypiechart.min.js',array(),false,true);
    wp_enqueue_script('wow', get_template_directory_uri().'/assets/js/plugins/wow.min.js',array(),false,true);
    wp_enqueue_script('fancybox', get_template_directory_uri().'/assets/js/plugins/fancybox.min.js',array(),false,true);
    wp_enqueue_script('jquery-ajaxchimp', get_template_directory_uri().'/assets/js/plugins/jquery.ajaxchimp.min.js',array(),false,true);
    wp_enqueue_script('egens-main', get_template_directory_uri().'/assets/js/main.js',array(),false,true);
    wp_enqueue_script('egens-blog', get_template_directory_uri().'/assets/js/pages/blog.js',array(),false,true);
    wp_enqueue_script('egens-blank', get_template_directory_uri().'/assets/js/pages/blank.js',array(),false,true);
    wp_enqueue_script('egens-member', get_template_directory_uri().'/assets/js/pages/member.js',array(),false,true);
    wp_enqueue_script('egens-home', get_template_directory_uri().'/assets/js/pages/home.js',array(),false,true);
}
add_action( 'wp_enqueue_scripts', 'egens_theme_scripts_styles' );

function move_comment_field_to_bottom( $fields ) {
$comment_field = $fields['comment'];
unset( $fields['comment'] );
$fields['comment'] = $comment_field;
return $fields;
}
add_filter( 'comment_form_fields', 'move_comment_field_to_bottom');
//Custom Excerpt Function
function egens_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
} 
// Widget Sidebar
function egens_widgets_init() {
  	register_sidebar( array(
      'name'          => esc_html__( 'Primary Sidebar', 'egens' ),
      'id'            => 'sidebar-1',        
  		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'egens' ),        
  		'before_widget' => '<div class="widget sidebar wow fadeIn %2$s" data-wow-duration="1.5s" data-wow-delay=".1s" id="%2$s">',        
  		'after_widget'  => '</div>',        
  		'before_title'  => '<h4 class="sidebar-title">',        
  		'after_title'   => '</h4>'
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Services Sidebar', 'egens' ),
      'id'            => 'services-sidebar',
      'description'   => esc_html__( 'Services Widget that appears on the Services.', 'egens' ),
      'before_widget' => '<div class="sidebar wow fadeIn %2$s" id="%2$s" data-wow-duration="1.5s" data-wow-delay=".1s">',
      'after_widget'  => '</div>',
      'before_title'  => ' <h4 class="sidebar-title">',
      'after_title'   => ' </h4>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Widget', 'egens' ),
      'id'            => 'footer-area-1',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => ' ',
      'after_title'   => ' ',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Two Widget', 'egens' ),
      'id'            => 'footer-area-2',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' <h5 class="footer-widget-title"> ',
      'after_title'   => ' </h5>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Three Widget', 'egens' ),
      'id'            => 'footer-area-3',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' <h5 class="footer-widget-title">',
      'after_title'   => ' </h5>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer  Four Widget', 'egens' ),
      'id'            => 'footer-area-4',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' <h5 class="footer-widget-title">',
      'after_title'   => ' </h5>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Four  Widget Home 1', 'egens' ),
      'id'            => 'footer-area-4-1',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' <h5 class="footer-widget-title">',
      'after_title'   => ' </h5>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer One Widget Home 3', 'egens' ),
      'id'            => 'footer-area-4-1-1',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '',
      'after_widget'  => '',
      'before_title'  => ' <h5 class="footer-widget-title">',
      'after_title'   => ' </h5>',
    ) );
    register_sidebar( array(
      'name'          => esc_html__( 'Footer Four Widget Home 3', 'egens' ),
      'id'            => 'footer-area-4-3',
      'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'egens' ),
      'before_widget' => '<div id="%1$s">',
      'after_widget'  => '</div>',
      'before_title'  => ' <h5 class="footer-widget-title">',
      'after_title'   => ' </h5>',
    ) );
}
add_action( 'widgets_init', 'egens_widgets_init' );
//function tag widgets
function egens_tag_cloud_widget($args) {
  	$args['number'] = 0; //adding a 0 will display all tags
  	$args['largest'] = 18; //largest tag
  	$args['smallest'] = 11; //smallest tag
  	$args['unit'] = 'px'; //tag font unit
  	$args['format'] = 'list'; //ul with a class of wp-tag-cloud
  	$args['exclude'] = array(20, 80, 92); //exclude tags by ID
  	return $args;
}
add_filter( 'widget_tag_cloud_args', 'egens_tag_cloud_widget' );
function egens_excerpt() {
  $egens_redux_demo = get_option('redux_demo');
  if(isset($egens_redux_demo['blog_excerpt'])){
    $limit = $egens_redux_demo['blog_excerpt'];
  }else{
    $limit = 50;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function egens_excerpt2() {
  $egens_redux_demo = get_option('redux_demo');
  if(isset($egens_redux_demo['blog_excerpt2'])){
    $limit = $egens_redux_demo['blog_excerpt2'];
  }else{
    $limit = 20;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function egens_excerpt3() {
  $egens_redux_demo = get_option('redux_demo');
  if(isset($egens_redux_demo['services_excerpt'])){
    $limit = $egens_redux_demo['services_excerpt'];
  }else{
    $limit = 10;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function egens_excerpt4() {
  $egens_redux_demo = get_option('redux_demo');
  if(isset($egens_redux_demo['services_excerpt2'])){
    $limit = $egens_redux_demo['services_excerpt2'];
  }else{
    $limit = 25;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function egens_excerpt5() {
  $egens_redux_demo = get_option('redux_demo');
  if(isset($egens_redux_demo['services_excerpt3'])){
    $limit = $egens_redux_demo['services_excerpt3'];
  }else{
    $limit = 20;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function egens_search_form( $form ) {
    $form = '
        <form action="' . esc_url(home_url('/')) . '">
            <input type="text" class="s-input-home" name="s" required value="' . get_search_query() . '" placeholder="'.esc_attr__('Search…', 'egens').'">
            <button class="btn-s-input" type="submit"><i class="far fa-search"></i></button>
        </form>
	';
    return $form;
}
add_filter( 'get_search_form', 'egens_search_form' );
function egens_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='100' )!=''){?>
      <li class="comment-inner">
          <div class="comment-1">
              <div class="comment-thumb">
                  <img src="<?php echo get_template_directory_uri();?>/assets/images/author/comment-1.png" alt="Author-Image">
              </div>
              <div class="comment-content">
                  <div class="comment-head">
                      <div class="comment-title-date">
                          <h5 class="comment-title"><?php printf( get_comment_author_link()) ?></h5>
                          <div class="meta">
                              <div class="date"><?php comment_time(get_option( 'date_format' ));?></div>
                          </div>
                      </div>
                      <div class="button">
                          <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
                      </div>
                  </div>
                  <?php comment_text() ?>
              </div>
          </div>
      </li>
  <?php }else{?>
      <li class="comment-inner">
          <div class="comment-1">
              <div class="comment-content">
                  <div class="comment-head">
                      <div class="comment-title-date">
                          <h5 class="comment-title"><?php printf( get_comment_author_link()) ?></h5>
                          <div class="meta">
                              <div class="date"><?php comment_time(get_option( 'date_format' ));?></div>
                          </div>
                      </div>
                      <div class="button">
                          <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
                      </div>
                  </div>
                  <?php comment_text() ?>
              </div>
          </div>
      </li>
<?php }?>

<?php
}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * egenslude the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'egens_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one egensluded with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function egens_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to egenslude a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'egens' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'egens' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'egens' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'egens' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'egens' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'egens' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Elementor', 'egens' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Egens Common', 'egens' ),
            'slug'                     => 'egens-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/egens-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Egens Elementor', 'egens' ),
            'slug'                     => 'egens-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/egens-elementor.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'egens' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'egens' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'egens' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'egens' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'egens' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'egens' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'egens' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'egens' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'egens' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'egens' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'egens' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'egens' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'egens' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'egens' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'egens' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'egens' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'egens' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}
?>