<!doctype html>
<html <?php language_attributes(); ?>>
<?php $egens_redux_demo = get_option('redux_demo'); ?>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
        <?php if(isset($egens_redux_demo['favicon']['url'])){?>
        <link rel="shortcut icon" href="<?php echo esc_url($egens_redux_demo['favicon']['url']); ?>">
        <?php }?>
    <?php }?>
    <?php wp_head(); ?> 
</head>
<body <?php body_class(); ?>>
<!--[if lt IE 8]>
<p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
<![endif]-->
<!-- < NAVIGATION WITH BACKGROUND COLOR NAVBAR >............................................ -->
<!-- removed navbar-toggleable-md because responsive issues. Find out why ..... -->
<!-- start page-wrapper -->
<!-- PRELOADER -->
<header class="header-wrapper sticky-header">
    <div class="">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="flex-center justify-content-between">
                        <!-- Header Logo Start -->
                        <?php if(isset($egens_redux_demo['logo']['url']) && $egens_redux_demo['logo']['url'] != ''){?>
                        <div class="logo">
                            <a href="<?php echo esc_url(home_url('/')); ?>">
                                <img src="<?php echo esc_url($egens_redux_demo['logo']['url']); ?>" alt="">
                            </a>
                        </div>
                        <?php }else{?>
                        <div class="logo">
                            <a href="<?php echo esc_url(home_url('/')); ?>">
                                <img src="<?php echo get_template_directory_uri();?>/assets/images/logo.png" alt="">
                            </a>
                        </div>
                        <?php } ?>
                        
                        <!-- Header Logo End -->

                        <div class="flex-center header-right">
                            <!-- Header Menu Start -->
                            <div class="d-none d-lg-flex header-right_menu">
                                <nav class="main-menu">
                                    <?php 
                                        wp_nav_menu( 
                                        array( 
                                          'theme_location' => 'primary',
                                          'container' => '',
                                          'menu_class' => '', 
                                          'menu_id' => '',
                                          'menu'            => '',
                                          'container_class' => '',
                                          'container_id'    => '',
                                          'echo'            => true,
                                           'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                                           'walker'            => new egens_wp_bootstrap_navwalker(),
                                          'before'          => '',
                                          'after'           => '',
                                          'link_before'     => '',
                                          'link_after'      => '',
                                          'items_wrap'      => '<ul class="%2$s" >%3$s</ul>',
                                          'depth'           => 0,        
                                        )
                                    ); ?>
                                </nav>
                            </div>
                            <!-- Header Menu End -->

                            <!-- Header Actions Start -->
                            <div class="header-right_actions flex-center">
                                <?php if($egens_redux_demo['phone'] != ''){?>
                                <div class="header-right_call">
                                    <div class="icon btn btn-style-one">
                                        <span><i class="fas fa-phone-alt"></i></span>
                                    </div>
                                    <div class="call-meta">
                                        <span class="call-meta_text"><?php echo esc_attr($egens_redux_demo['title_phone']);?></span>
                                        <a href="<?php echo esc_attr($egens_redux_demo['link_phone']);?>" class="call-meta_number"><?php echo esc_attr($egens_redux_demo['phone']);?></a>
                                    </div>
                                </div>
                                <?php } ?>

                                <div class="hamburger d-block d-lg-none">
                                    <!-- Mobile Menu Hambarger Action Button Start -->
                                    <a class="header-action-btn header-action-btn-menu hamburger_button d-flex" href="#/" data-bs-toggle="offcanvas" data-bs-target="#offcanvas-header">
                                        <span></span>
                                        <span></span>
                                        <span></span>
                                    </a>
                                    <!-- Mobile Menu Hambarger Action Button End -->
                                </div>

                            </div>
                            <!-- Header Social Actions End -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="offcanvas offcanvas-end" id="offcanvas-header">

    <div class="offcanvas-header">
        <!-- Header Logo Start -->
        <?php if(isset($egens_redux_demo['logo']['url']) && $egens_redux_demo['logo']['url'] != ''){?>
        <div class="logo">
            <a href="<?php echo esc_url(home_url('/')); ?>">
                <img src="<?php echo esc_url($egens_redux_demo['logo']['url']); ?>" alt="">
            </a>
        </div>
        <?php }else{?>
        <div class="logo">
            <a href="<?php echo esc_url(home_url('/')); ?>">
                <img src="<?php echo get_template_directory_uri();?>/assets/images/logo.png" alt="">
            </a>
        </div>
        <?php } ?>
        <!-- Header Logo End -->
        <button type="button" class="btn-close text-reset mobilemenu-close" data-bs-dismiss="offcanvas" aria-label="Close"><i class="fas fa-times"></i></button>
    </div>
    <div class="offcanvas-body">
        <!-- mobile menu navigation start -->
        <nav>
            <?php 
                wp_nav_menu( 
                array( 
                  'theme_location' => 'primary',
                  'container' => '',
                  'menu_class' => '', 
                  'menu_id' => '',
                  'menu'            => '',
                  'container_class' => '',
                  'container_id'    => '',
                  'echo'            => true,
                   'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
                   'walker'            => new egens2_wp_bootstrap_navwalker(),
                  'before'          => '',
                  'after'           => '',
                  'link_before'     => '',
                  'link_after'      => '',
                  'items_wrap'      => '<ul class=" mobile-menu %2$s" >%3$s</ul>',
                  'depth'           => 0,        
                )
            ); ?>
        </nav>
        <!-- mobile menu navigation end -->
    </div>

</div>