<?php
/*
 * Template Name: Blog Grid
 * Description: A Page Template with a Page Builder design.
 */
$egens_redux_demo = get_option('redux_demo');
get_header(); ?>
<div class="section breadcrumb-section">
    <?php if(isset($egens_redux_demo['blog_shape_image1']['url']) && $egens_redux_demo['blog_shape_image1']['url'] != ''){?> 
    <span class="shape shape-one layer" data-speed="1">
        <img src="<?php echo esc_attr($egens_redux_demo['blog_shape_image1']);?>" alt="Shape">
    </span>
    <?php }else{?>
    <span class="shape shape-one layer" data-speed="1">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/slider/shape-2.png" alt="Shape">
    </span>
    <?php } ?>

    <?php if(isset($egens_redux_demo['blog_shape_image2']['url']) && $egens_redux_demo['blog_shape_image2']['url'] != ''){?>
    <span class="shape shape-two layer" data-speed="2">
        <img src="<?php echo esc_attr($egens_redux_demo['blog_shape_image2']);?>" alt="Shape">
    </span>
    <?php }else{?>
    <span class="shape shape-two layer" data-speed="2">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/slider/shape-5.png" alt="Shape">
    </span>
    <?php } ?>

    <?php if(isset($egens_redux_demo['blog_shape_image3']['url']) && $egens_redux_demo['blog_shape_image3']['url'] != ''){?>
    <span class="shape shape-three wow pulse" data-wow-duration="1s" data-wow-delay=".1s">
        <img src="<?php echo esc_attr($egens_redux_demo['blog_shape_image3']);?>" alt="Shape">
    </span>
    <?php }else{?>
    <span class="shape shape-three wow pulse" data-wow-duration="1s" data-wow-delay=".1s">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/slider/shape-7.png" alt="Shape">
    </span>
    <?php } ?>

    <?php if(isset($egens_redux_demo['blog_shape_image4']['url']) && $egens_redux_demo['blog_shape_image4']['url'] != ''){?>
    <span class="shape shape-four wow fadeInUp" data-wow-duration="1s" data-wow-delay=".1s">
        <img src="<?php echo esc_attr($egens_redux_demo['blog_shape_image4']);?>" alt="Shape">
    </span>
    <?php }else{?>
    <span class="shape shape-four wow fadeInUp" data-wow-duration="1s" data-wow-delay=".1s">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/slider/shape-9.png" alt="Shape">
    </span>
    <?php } ?>
    <?php if(isset($egens_redux_demo['blog_shape_image5']['url']) && $egens_redux_demo['blog_shape_image5']['url'] != ''){?>
    <span class="shape shape-five wow fadeInUp" data-wow-duration="1.5s" data-wow-delay=".1s">
        <img src="<?php echo esc_attr($egens_redux_demo['blog_shape_image5']);?>" alt="Shape">
    </span>
    <?php }else{?>
    <span class="shape shape-five wow fadeInUp" data-wow-duration="1.5s" data-wow-delay=".1s">
        <img src="<?php echo get_template_directory_uri();?>/assets/images/slider/shape-10.png" alt="Shape">
    </span>
    <?php } ?>
    <div class="container">
        <div class="row">
            <div class="col-12 align-items-center text-center">
                <!-- Breadcrumb Wrapper Start -->
                <div class="breadcrumb-wrapper">
                    <h1 class="title"><?php if(isset($egens_redux_demo['blog_grid_title'])){?>
                    <?php echo esc_attr($egens_redux_demo['blog_grid_title']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'News Grid', 'egens' ); } ?></h1>
                    <p class="text mb-0"><?php if(isset($egens_redux_demo['blog_grid_subtitle'])){?>
                    <?php echo esc_attr($egens_redux_demo['blog_grid_subtitle']);?>
                    <?php }else{?>
                    <?php echo esc_html__( 'Sed do eiusmod tempor incididunt ut labore et when the musis dolore magna aliqua.', 'egens' ); } ?></p>
                </div>
                <!-- Breadcrumb Wrapper End -->
            </div>
        </div>
    </div>
</div>
<!-- Breadcrumb Section End -->

<!-- Blog Section Start -->
<div class="section-padding">
    <div class="container">
        <div class="row row-cols-lg-3 row-cols-md-2 row-cols-sm-2 row-cols-1 mb-n25">
            <?php $args = array(    
            'paged' => $paged,
            'post_type' => 'post',
            'posts_per_page' => 9,
            );
            $wp_query = new WP_Query($args);
            while (have_posts()): the_post();
            $cates = get_the_terms(get_the_ID(),'category');
                    $cate_name = '';
                    $cate_slug = '';
                foreach((array)$cates as $cate){
                    if(count($cates)>0){
                        $cate_name .= $cate->name.' ';
                        $cate_slug .= $cate->slug.' ';
                    }
                }
            ?>
            <?php $image_blog_grid = get_post_meta(get_the_ID(),'_cmb_image_blog_grid', true); ?>
            <div class="col mb-30">
                <!-- Single Blog Start -->
                <div class="blog wow fadeIn" data-wow-duration="1.5s" data-wow-delay=".1s">
                    <?php if (wp_get_attachment_url($image_blog_grid) !='')  { ?>
                    <div class="blog-thumbnail">
                        <a href="<?php the_permalink();?>" class="image">
                            <img src="<?php echo wp_get_attachment_url($image_blog_grid);?>" alt="Blog Image">
                        </a>
                    </div>
                    <?php } ?>
                    <div class="blog-info">
                        <ul class="meta">
                            <li><span><i class="fas fa-user"></i></span>
                                <?php the_author();?></li>
                            <li><span><i class="fas fa-clock"></i></span>
                                <?php the_time(get_option( 'date_format' ));?></li>
                        </ul>
                        <h3 class="title">
                            <a href="<?php the_permalink();?>"><?php the_title(); ?></a>
                        </h3>
                    </div>
                </div>
                <!-- Single Blog End -->
            </div>
            <?php endwhile; ?>
        </div>
        <div class="row">
            <div class="col-12 justify-content-center align-items-center d-flex">
                <nav class="pagination-wrapper wow fadeIn" data-wow-duration="1.5s" data-wow-delay=".1s">
                    <?php 
                    $pagination = array(
                    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
                    'format'    => '',
                    'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fas fa-arrow-left"></i>', 'egens' ),ENT_QUOTES),
                    'next_text' => wp_specialchars_decode(esc_html__( '<i class="fas fa-arrow-right"></i>', 'egens' ),ENT_QUOTES),
                    'type'      => 'list',
                    'end_size'    => 3,
                    'mid_size'    => 3
                    );
                    if(paginate_links( $pagination ) != ''){
                        $return =  paginate_links( $pagination );
                        echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
                    }
                    ?>
                </nav>
            </div>
        </div>
    </div>
</div>

<?php
get_footer();
?>